Bug 64337 - printing broken - python errors
printing broken - python errors
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: printconf (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-02 12:59 EDT by ellson
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-26 19:08:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ellson 2002-05-02 12:59:44 EDT
Description of Problem:

root@amber:root# printconf-gui
Traceback (most recent call last):
  File "/usr/sbin/printconf-gui", line 7, in ?
    import printconf_gui
  File "/usr/share/printconf/util/printconf_gui.py", line 41, in ?
    from printconf_conf import *
  File "/usr/share/printconf/util/printconf_conf.py", line 82, in ?
    from xml.utils import qp_xml
ImportError: No module named utils


Version-Release number of selected component (if applicable):
printconf-gui-0.3.77-1
python-2.2.1-3
redhat-rawhide-20020502-1

How Reproducible:
100%

Steps to Reproduce:
1. try to run printconf-gui
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 sean 2002-05-26 19:08:20 EDT
This is the old problem of printconf tied to python-1.5. Some of us need to use
( or it's a lot easier to explain to our students how to use ) python-2 , which
promptly breaks printing.

What do we need to rebuild to use python-2? pygtk? pygnome? printconf (-gui) ?
Anything else ?  There is a new alchemist that's tied to python-2. Is rebuilding
( rpm --rebuild ) in a python-2.2 environment all we need to do?

thanks
jay
Comment 2 Tim Waugh 2002-06-13 10:05:37 EDT
Should be mostly fixed in 0.4.0-1.

Note You need to log in before you can comment on or make changes to this bug.